1217:7130 O2 Micro, Inc. Integrated MS/xD Controller (rev 01) Media Slot does not read cards

Bug #802084 reported by gill_za on 2011-06-26
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Edward Lin

Bug Description

I am running Ubuntu 11.04 Natty Narwhal on Fujitsu E8210 laptop. It has built in media slot / card reader which does not seem to be working with the latest release of ubuntu. It worked with previous older releases but I haven't used it for a while (the card reader) and am not sure when exactly (during which distro) it stopped working. I know for sure that it did not function in two previous releases.

I am running Win7 in dual boot and the card reader is working fine in windows environment.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC262 Analog [ALC262 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: igor 1394 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0600000 irq 46'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,10cf0000,00100002 HDA:11c11040,11c10001,00100200'
   Controls : 27
   Simple ctrls : 16
Date: Sat Jun 25 22:45:19 2011
HibernationDevice: RESUME=UUID=11694a53-fe5e-41e8-87f1-c227a44b9375
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: FUJITSU E8210
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   product info: "O2Micro", "SmartCardBus Reader", "V1.0", ""
   manfid: 0xffff, 0x0001
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   5.0V 16-bit PC Card
   Subdevice 0 (function 0) [unbound]
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=7763984c-0bcc-42f7-8cfe-d57061493fb1 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to natty on 2011-06-24 (2 days ago)
dmi.bios.date: 09/04/2008
dmi.bios.vendor: FUJITSU // Phoenix Technologies Ltd.
dmi.bios.version: Version 1.23
dmi.board.name: FJNB1BF
dmi.board.vendor: FUJITSU
dmi.chassis.type: 10
dmi.chassis.vendor: AT3CB1E606552034
dmi.modalias: dmi:bvnFUJITSU//PhoenixTechnologiesLtd.:bvrVersion1.23:bd09/04/2008:svnFUJITSU:pnE8210:pvr:rvnFUJITSU:rnFJNB1BF:rvr:cvnAT3CB1E606552034:ct10:cvr:
dmi.product.name: E8210
dmi.sys.vendor: FUJITSU

gill_za (gillza) wrote :
Fabio Marconi (fabiomarconi) wrote :

mmc0: Unknown controller version (16). You may experience problems.

gill_za (gillza) wrote :

Btw it says this bug is a duplicate of an existing bug bug #323159 which was marked as won't fix .

affects: ubuntu → linux (Ubuntu)
Brad Figg (brad-figg) on 2011-06-26
Changed in linux (Ubuntu):
status: New → Confirmed
Gary Allan (ubuntu-gallan) wrote :

Upgraded to Ubuntu 11.10 on Dell Vostro 1510 and O2 Micro Card Reader no longer reads SD/MMC cards
SD/MMC reader confirmed working using 2.6.38 vanilla ppa/kernel under 11.04

Broken by:

commit 49c468fcf878d2c86e31920cf54aa90c88418a66
Author: Arindam Nath <email address hidden>
Date: Thu May 5 12:19:01 2011 +0530

    mmc: sd: add support for uhs bus speed mode selection

fixed by 1 line commit in:

commit dd8df17fe83483d7ea06ff229895e35a42071599
Author: Alexander Elbs <email address hidden>
Date: Tue Jan 3 23:26:53 2012 -0500

    mmc: sd: Fix SDR12 timing regression

Can this fix be backported to 11.04, 11.10 and 12.04 from the 3.3 kernel?

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

I see this bug was tagged as expired, but this still affects me. I have a MSI M670 with O2Micro SD reader and I still can't read any memory card.

When I do dmesg | grep mmc this is the output:

[ 1.970791] mmc0: Unknown controller version (16). You may experience problems.
[ 1.970824] mmc0: no vmmc regulator found
[ 1.970869] Registered led device: mmc0::
[ 2.016368] mmc0: SDHCI controller on PCI [0000:04:04.2] using PIO
[ 3.325460] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[39144.992060] mmc0: Timeout waiting for hardware interrupt.
[39155.008045] mmc0: Timeout waiting for hardware interrupt.

Also, a df | grep mmc shows no results, and lspci | grep SD:

04:04.2 SD Host controller: O2 Micro, Inc. Integrated MMC/SD Controller (rev 01)

My version is 12.04, and with lsb_release:

Description: Ubuntu 12.04 LTS
Release: 12.04

Ariel Sebastián Becker, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette . If you do file a new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Keng-Yu Lin (lexical) wrote :

still have this issue on 3.5 Ubuntu kernel:

Slot: 0f:00.0
Class: SD Host controller [0805]
Vendor: O2 Micro, Inc. [1217]
Device: Device [8520]
SVendor: Dell [1028]
SDevice: Device [05be]
Rev: 01
ProgIf: 01
Module: sdhci-pci

Changed in linux (Ubuntu):
status: Expired → Confirmed
importance: Undecided → Medium
tags: added: blocks-hwcert-enablement
Anthony Wong (anthonywong) wrote :

O2 micro (now BayHub) sent us the attached file for 3.5 kernel.

Changed in linux (Ubuntu):
assignee: nobody → Keng-Yu Lin (lexical)
Keng-Yu Lin (lexical) wrote :

It will be better if they can send in the git mbox format (at least with the author name/email ans SOB).

Keng-Yu Lin (lexical) on 2013-04-10
Changed in linux (Ubuntu):
status: Confirmed → In Progress
summary: - O2 Micro, Inc. Integrated MS/xD Controller (rev 01) Media Slot does not
- read cards
+ 1217:7130 O2 Micro, Inc. Integrated MS/xD Controller (rev 01) Media Slot
+ does not read cards
Changed in linux (Ubuntu):
importance: Medium → High
Keng-Yu Lin (lexical) on 2013-06-17
Changed in linux (Ubuntu):
status: In Progress → Triaged
keeper121 (keeper121) on 2013-12-25
Changed in linux (Ubuntu):
status: Triaged → Fix Released

keeper121, please do not adjust the status without at least a comment as to why this is. As well, given that gill_za is the original reporter, it would be up to gill_za if this issue is resolved or not.

Keng-Yu Lin, thank you for your comments. Despite the vendor being the same, it would appear that the device id being different would be enough for their not to be enough overlap between your device and the original report. What do you think?

gill_za, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
importance: High → Medium
Oliver (t.raum) wrote :

I don't know what anybody did to resolve this issue... at least for me it still exists.

mmc0: Unknown controller version (3). You may experience problems.
mmc0: Hardware doesn't specify timeout clock frequency.

lspci shows following controller:
02:00.0 SD Host controller: O2 Micro, Inc. Device 8520 (rev 01)

I am running ubuntu 13.10 on a Thinkpad W540

Oliver, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in linux (Ubuntu):
importance: Medium → High
assignee: Keng-Yu Lin (lexical) → Edward Lin (airken)
Edward Lin (airken) wrote :

@t.raum
From #1239938, this bug seems to be fixed in linux-lts-saucy (3.11.0-18.32~precise1).
Could you give it a try ?

If some mmc cards can't be read, could you try "options sdhci debug_quirks=0x40" mentioned in following link?
Thanks.
http://www.adminempire.com/o2-sd-card-reader-fix-linux/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers